Py (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class Py

    java.lang.Object
      |
      +--org.python.core.Py

public final class Py
extends java.lang.Object

Field Summary
`static PyObject` | `ArithmeticError`
`static PyObject` | `AssertionError`
`static PyObject` | `AttributeError`
`static int` | `COMMENT`
`static int` | `DEBUG`
`static PySystemState` | `defaultSystemState`
`static PyObject` | `DeprecationWarning`
`static PyObject` | `Ellipsis` The singleton Ellipsis Python object - written as ... when indexing
`static PyObject[]` | `EmptyObjects` A zero-length array of PyObject's to pass to functions that expect zero-arguments
`static PyString` | `EmptyString` A zero-length Python string
`static PyTuple` | `EmptyTuple` A tuple with zero elements
`static PyObject` | `EnvironmentError`
`static PyObject` | `EOFError`
`static int` | `ERROR`
`static PyObject` | `Exception`
`static PyObject` | `FloatingPointError`
`static PyObject` | `ImportError`
`static PyObject` | `IndentationError`
`static PyObject` | `IndexError`
`static PyObject` | `IOError`
`static PyObject` | `JavaError`
`static PyObject` | `KeyboardInterrupt`
`static PyObject` | `KeyError`
`static PyObject` | `LookupError`
`static PyObject` | `MemoryError`
`static int` | `MESSAGE`
`static PyObject` | `NameError`
`static PyString` | `Newline` A Python string containing '\n'
`static java.lang.Object` | `NoConversion` A unique object to indicate no conversion is possible in __tojava__ methods
`static java.lang.String[]` | `NoKeywords` A zero-length array of Strings to pass to functions that don't have any keyword arguments
`static PyObject` | `None` The singleton None Python object
`static PyObject` | `NotImplemented` The singleton NotImplemented Python object.
`static PyObject` | `NotImplementedError`
`static PyInteger` | `One` The Python integer 1 - also used as true
`static PyObject` | `OSError`
`static PyObject` | `OverflowError`
`static PyObject` | `RuntimeError`
`static PyObject` | `RuntimeWarning`
`static PyString` | `Space` A Python string containing ' '
`static PyObject` | `StandardError`
`static StdoutWrapper` | `stderr`
`static PyObject` | `SyntaxError`
`static PyObject` | `SyntaxWarning`
`static PyObject` | `SystemError`
`static PyObject` | `SystemExit`
`static PyObject` | `TabError`
`static PyObject` | `TypeError`
`static PyObject` | `UnboundLocalError`
`static PyObject` | `UnicodeError`
`static PyObject` | `UserWarning`
`static PyObject` | `ValueError`
`static PyObject` | `Warning`
`static int` | `WARNING`
`static PyInteger` | `Zero` The Python integer 0 - also used as false
`static PyObject` | `ZeroDivisionError`

Method Summary
`static void` | `addTraceback(java.lang.Throwable t, PyFrame frame)`
`static void` | `assert(PyObject test)`
`static void` | `assert(PyObject test, PyObject message)`
`static PyException` | `AssertionError(java.lang.String message)`
`static PyException` | `AttributeError(java.lang.String message)`
`static PyCode` | `compile_flags(java.io.InputStream istream, java.lang.String filename, java.lang.String type, CompilerFlags cflags)`
`static PyCode` | `compile_flags(org.python.parser.SimpleNode node, java.lang.String name, java.lang.String filename, boolean linenumbers, boolean printResults, CompilerFlags cflags)`
`static PyCode` | `compile_flags(java.lang.String data, java.lang.String filename, java.lang.String type, CompilerFlags cflags)`
`static PyCode` | `compile(java.io.InputStream istream, java.lang.String filename, java.lang.String type)`
`static PyCode` | `compile(org.python.parser.SimpleNode node, java.lang.String filename)`
`static PyCode` | `compile(org.python.parser.SimpleNode node, java.lang.String name, java.lang.String filename)`
`static PyCode` | `compile(org.python.parser.SimpleNode node, java.lang.String name, java.lang.String filename, boolean linenumbers, boolean printResults)`
`static void` | `DeprecationWarning(java.lang.String message)`
`static void` | `displayException(PyObject type, PyObject value, PyObject tb, PyObject file)`
`static PyException` | `EOFError(java.lang.String message)`
`static void` | `exec(PyObject o, PyObject globals, PyObject locals)`
`static java.lang.Class` | `findClass(java.lang.String name)`
`static java.lang.Class` | `findClassEx(java.lang.String name, java.lang.String reason)`
`static PyException` | `FloatingPointError(java.lang.String message)`
`static CompilerFlags` | `getCompilerFlags()`
`static PyFrame` | `getFrame()`
`static java.lang.String` | `getName()`
`static PySystemState` | `getSystemState()`
`static ThreadState` | `getThreadState()`
`static ThreadState` | `getThreadState(PySystemState newSystemState)`
`static int` | `id(PyObject o)`
`static PyException` | `ImportError(java.lang.String message)`
`static PyException` | `IndexError(java.lang.String message)`
`static void` | `initProxy(PyProxy proxy, java.lang.String module, java.lang.String pyclass, java.lang.Object[] args, java.lang.String[] packages, java.lang.String[] props, boolean frozen)`
`static void` | `initProxy(PyProxy proxy, java.lang.String module, java.lang.String pyclass, java.lang.Object[] args, java.lang.String[] packages, java.lang.String[] props, java.lang.String frozenPackage, java.lang.String[] modules)`
`static boolean` | `initPython()`
`static void` | `initRunnable(java.lang.String module, PyObject dict)`
`static PyException` | `IOError(java.io.IOException ioe)`
`static PyException` | `IOError(java.lang.String message)`
`static PyObject` | `java2py(java.lang.Object o)`
`static PyException` | `JavaError(java.lang.Throwable t)`
`static PyObject` | `jfindattr(PyProxy proxy, java.lang.String name)` Deprecated.
`static PyObject` | `jgetattr(PyProxy proxy, java.lang.String name)` Deprecated.
`static PyException` | `KeyError(java.lang.String message)`
`static PyObject` | `makeClass(java.lang.String name, PyObject[] bases, PyCode code, PyObject doc)`
`static PyObject` | `makeClass(java.lang.String name, PyObject[] bases, PyCode code, PyObject doc, java.lang.Class proxyClass)`
`static PyObject` | `makeClass(java.lang.String name, PyObject[] bases, PyCode code, PyObject doc, java.lang.Class proxyClass, PyObject[] closure_cells)`
`static PyObject` | `makeClass(java.lang.String name, PyObject[] bases, PyCode code, PyObject doc, PyObject[] closure_cells)`
`static PyException` | `makeException()`
`static PyException` | `makeException(PyObject type)`
`static PyException` | `makeException(PyObject type, PyObject value)`
`static PyException` | `makeException(PyObject type, PyObject value, PyObject traceback)`
`static boolean` | `matchException(PyException pye, PyObject e)`
`static void` | `maybeWrite(java.lang.String type, java.lang.String msg, int level)`
`static void` | `MemoryError(java.lang.OutOfMemoryError t)`
`static PyException` | `MemoryError(java.lang.String message)`
`static PyException` | `NameError(java.lang.String message)`
`static PyInteger` | `newBoolean(boolean t)`
`static PyCode` | `newCode(int argcount, java.lang.String[] varnames, java.lang.String filename, java.lang.String name, boolean args, boolean keywords, PyFunctionTable funcs, int func_id)`
`static PyCode` | `newCode(int argcount, java.lang.String[] varnames, java.lang.String filename, java.lang.String name, boolean args, boolean keywords, PyFunctionTable funcs, int func_id, java.lang.String[] cellvars, java.lang.String[] freevars, int npurecell, int moreflags)`
`static PyCode` | `newCode(int argcount, java.lang.String[] varnames, java.lang.String filename, java.lang.String name, int firstlineno, boolean args, boolean keywords, PyFunctionTable funcs, int func_id)`
`static PyCode` | `newCode(int argcount, java.lang.String[] varnames, java.lang.String filename, java.lang.String name, int firstlineno, boolean args, boolean keywords, PyFunctionTable funcs, int func_id, java.lang.String[] cellvars, java.lang.String[] freevars, int npurecell, int moreflags)`
`static PyFloat` | `newFloat(double v)`
`static PyFloat` | `newFloat(float v)`
`static PyComplex` | `newImaginary(double v)`
`static PyInteger` | `newInteger(int i)`
`static PyObject` | `newInteger(long i)`
`static PyCode` | `newJavaCode(java.lang.Class cls, java.lang.String name)`
`static PyObject` | `newJavaFunc(java.lang.Class cls, java.lang.String name)`
`static PyLong` | `newLong(java.lang.String s)`
`static PyString` | `newString(char c)`
`static PyString` | `newString(java.lang.String s)`
`static PyException` | `OverflowError(java.lang.String message)`
`static void` | `print(PyObject o)`
`static void` | `print(PyObject file, PyObject o)`
`static void` | `printComma(PyObject o)`
`static void` | `printComma(PyObject file, PyObject o)`
`static void` | `printException(java.lang.Throwable t)`
`static void` | `printException(java.lang.Throwable t, PyFrame f)`
`static void` | `printException(java.lang.Throwable t, PyFrame f, PyObject file)`
`static void` | `println()`
`static void` | `println(PyObject o)`
`static void` | `println(PyObject file, PyObject o)`
`static void` | `printlnv(PyObject file)`
`static void` | `printResult(PyObject ret)`
`static boolean` | `py2boolean(PyObject o)`
`static byte` | `py2byte(PyObject o)`
`static char` | `py2char(PyObject o)`
`static char` | `py2char(PyObject o, java.lang.String msg)`
`static double` | `py2double(PyObject o)`
`static float` | `py2float(PyObject o)`
`static int` | `py2int(PyObject o)`
`static int` | `py2int(PyObject o, java.lang.String msg)`
`static long` | `py2long(PyObject o)`
`static short` | `py2short(PyObject o)`
`static void` | `py2void(PyObject o)`
`static java.lang.Class` | `relFindClass(java.lang.Class home, java.lang.String name)`
`static PyObject` | `runCode(PyCode code, PyObject locals, PyObject globals)`
`static void` | `runMain(java.lang.Class mainClass, java.lang.String[] args, java.lang.String[] packages, java.lang.String[] props, java.lang.String frozenPackage, java.lang.String[] modules)`
`static PyException` | `RuntimeError(java.lang.String message)`
`static void` | `RuntimeWarning(java.lang.String message)`
`static java.lang.String` | `safeRepr(PyObject o)`
`static PyException` | `setException(java.lang.Throwable t, PyFrame frame)`
`static void` | `setFrame(PyFrame f)`
`static PySystemState` | `setSystemState(PySystemState newSystemState)`
`static PyException` | `SyntaxError(java.lang.String message)`
`static void` | `SyntaxWarning(java.lang.String message)`
`static PyException` | `SystemError(java.lang.String message)`
`static java.lang.Object` | `tojava(PyObject o, java.lang.Class c)` Convert a given `PyObject` to an instance of a Java class.
`static java.lang.Object` | `tojava(PyObject o, java.lang.String s)`
`static PyException` | `TypeError(java.lang.String message)`
`static PyException` | `UnboundLocalError(java.lang.String message)`
`static PyException` | `UnicodeError(java.lang.String message)`
`static PyObject[]` | `unpackSequence(PyObject o, int length)`
`static void` | `UserWarning(java.lang.String message)`
`static PyException` | `ValueError(java.lang.String message)`
`static void` | `warning(PyObject category, java.lang.String message)`
`static void` | `warning(PyObject category, java.lang.String message, java.lang.String filename, int lineno, java.lang.String module, PyObject registry)`
`static void` | `Warning(java.lang.String message)`
`static void` | `writeComment(java.lang.String type, java.lang.String msg)`
`static void` | `writeDebug(java.lang.String type, java.lang.String msg)`
`static void` | `writeError(java.lang.String type, java.lang.String msg)`
`static void` | `writeMessage(java.lang.String type, java.lang.String msg)`
`static void` | `writeWarning(java.lang.String type, java.lang.String msg)`
`static PyException` | `ZeroDivisionError(java.lang.String message)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### None

    public static PyObject None

  The singleton None Python object

### Ellipsis

    public static PyObject Ellipsis

  The singleton Ellipsis Python object - written as ... when indexing

### NotImplemented

    public static PyObject NotImplemented

  The singleton NotImplemented Python object. Used in rich comparison

### NoKeywords

    public static java.lang.String[] NoKeywords

  A zero-length array of Strings to pass to functions that don't have any keyword arguments

### EmptyObjects

    public static PyObject[] EmptyObjects

  A zero-length array of PyObject's to pass to functions that expect zero-arguments

### EmptyTuple

    public static PyTuple EmptyTuple

  A tuple with zero elements

### Zero

    public static PyInteger Zero

  The Python integer 0 - also used as false

### One

    public static PyInteger One

  The Python integer 1 - also used as true

### EmptyString

    public static PyString EmptyString

  A zero-length Python string

### Newline

    public static PyString Newline

  A Python string containing '\n'

### Space

    public static PyString Space

  A Python string containing ' '

### NoConversion

    public static java.lang.Object NoConversion

  A unique object to indicate no conversion is possible in __tojava__ methods

### OSError

    public static PyObject OSError

### NotImplementedError

    public static PyObject NotImplementedError

### EnvironmentError

    public static PyObject EnvironmentError

### OverflowError

    public static PyObject OverflowError

### RuntimeError

    public static PyObject RuntimeError

### KeyboardInterrupt

    public static PyObject KeyboardInterrupt

### FloatingPointError

    public static PyObject FloatingPointError

### SyntaxError

    public static PyObject SyntaxError

### IndentationError

    public static PyObject IndentationError

### TabError

    public static PyObject TabError

### AttributeError

    public static PyObject AttributeError

### IOError

    public static PyObject IOError

### KeyError

    public static PyObject KeyError

### AssertionError

    public static PyObject AssertionError

### TypeError

    public static PyObject TypeError

### SystemError

    public static PyObject SystemError

### IndexError

    public static PyObject IndexError

### ZeroDivisionError

    public static PyObject ZeroDivisionError

### NameError

    public static PyObject NameError

### UnboundLocalError

    public static PyObject UnboundLocalError

### SystemExit

    public static PyObject SystemExit

### ImportError

    public static PyObject ImportError

### ValueError

    public static PyObject ValueError

### UnicodeError

    public static PyObject UnicodeError

### EOFError

    public static PyObject EOFError

### MemoryError

    public static PyObject MemoryError

### ArithmeticError

    public static PyObject ArithmeticError

### LookupError

    public static PyObject LookupError

### StandardError

    public static PyObject StandardError

### Exception

    public static PyObject Exception

### Warning

    public static PyObject Warning

### UserWarning

    public static PyObject UserWarning

### DeprecationWarning

    public static PyObject DeprecationWarning

### SyntaxWarning

    public static PyObject SyntaxWarning

### RuntimeWarning

    public static PyObject RuntimeWarning

### JavaError

    public static PyObject JavaError

### defaultSystemState

    public static PySystemState defaultSystemState

### stderr

    public static StdoutWrapper stderr

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

### MESSAGE

    public static final int MESSAGE

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

Method Detail

### OverflowError

    public static PyException OverflowError(java.lang.String message)

### RuntimeError

    public static PyException RuntimeError(java.lang.String message)

### FloatingPointError

    public static PyException FloatingPointError(java.lang.String message)

### SyntaxError

    public static PyException SyntaxError(java.lang.String message)

### AttributeError

    public static PyException AttributeError(java.lang.String message)

### IOError

    public static PyException IOError(java.io.IOException ioe)

### IOError

    public static PyException IOError(java.lang.String message)

### KeyError

    public static PyException KeyError(java.lang.String message)

### AssertionError

    public static PyException AssertionError(java.lang.String message)

### TypeError

    public static PyException TypeError(java.lang.String message)

### SystemError

    public static PyException SystemError(java.lang.String message)

### IndexError

    public static PyException IndexError(java.lang.String message)

### ZeroDivisionError

    public static PyException ZeroDivisionError(java.lang.String message)

### NameError

    public static PyException NameError(java.lang.String message)

### UnboundLocalError

    public static PyException UnboundLocalError(java.lang.String message)

### ImportError

    public static PyException ImportError(java.lang.String message)

### ValueError

    public static PyException ValueError(java.lang.String message)

### UnicodeError

    public static PyException UnicodeError(java.lang.String message)

### EOFError

    public static PyException EOFError(java.lang.String message)

### MemoryError

    public static void MemoryError(java.lang.OutOfMemoryError t)

### MemoryError

    public static PyException MemoryError(java.lang.String message)

### Warning

    public static void Warning(java.lang.String message)

### UserWarning

    public static void UserWarning(java.lang.String message)

### DeprecationWarning

    public static void DeprecationWarning(java.lang.String message)

### SyntaxWarning

    public static void SyntaxWarning(java.lang.String message)

### RuntimeWarning

    public static void RuntimeWarning(java.lang.String message)

### warning

    public static void warning(PyObject category,
                               java.lang.String message)

### warning

    public static void warning(PyObject category,
                               java.lang.String message,
                               java.lang.String filename,
                               int lineno,
                               java.lang.String module,
                               PyObject registry)

### JavaError

    public static PyException JavaError(java.lang.Throwable t)

### tojava

    public static java.lang.Object tojava(PyObject o,
                                          java.lang.Class c)

  Convert a given `PyObject` to an instance of a Java class. Identical to `o.__tojava__(c)` except that it will raise a `TypeError` if the conversion fails.

  Parameters:
    `o` - the `PyObject` to convert.
    `c` - the class to convert it to.

### tojava

    public static java.lang.Object tojava(PyObject o,
                                          java.lang.String s)

### jfindattr

    public static PyObject jfindattr(PyProxy proxy,
                                     java.lang.String name)

  Deprecated.

### jgetattr

    public static PyObject jgetattr(PyProxy proxy,
                                    java.lang.String name)

  Deprecated.

### newInteger

    public static final PyInteger newInteger(int i)

### newInteger

    public static PyObject newInteger(long i)

### newLong

    public static PyLong newLong(java.lang.String s)

### newImaginary

    public static PyComplex newImaginary(double v)

### newFloat

    public static PyFloat newFloat(float v)

### newFloat

    public static PyFloat newFloat(double v)

### newString

    public static PyString newString(char c)

### newString

    public static PyString newString(java.lang.String s)

### newBoolean

    public static PyInteger newBoolean(boolean t)

### newCode

    public static PyCode newCode(int argcount,
                                 java.lang.String[] varnames,
                                 java.lang.String filename,
                                 java.lang.String name,
                                 boolean args,
                                 boolean keywords,
                                 PyFunctionTable funcs,
                                 int func_id,
                                 java.lang.String[] cellvars,
                                 java.lang.String[] freevars,
                                 int npurecell,
                                 int moreflags)

### newCode

    public static PyCode newCode(int argcount,
                                 java.lang.String[] varnames,
                                 java.lang.String filename,
                                 java.lang.String name,
                                 int firstlineno,
                                 boolean args,
                                 boolean keywords,
                                 PyFunctionTable funcs,
                                 int func_id,
                                 java.lang.String[] cellvars,
                                 java.lang.String[] freevars,
                                 int npurecell,
                                 int moreflags)

### newCode

    public static PyCode newCode(int argcount,
                                 java.lang.String[] varnames,
                                 java.lang.String filename,
                                 java.lang.String name,
                                 boolean args,
                                 boolean keywords,
                                 PyFunctionTable funcs,
                                 int func_id)

### newCode

    public static PyCode newCode(int argcount,
                                 java.lang.String[] varnames,
                                 java.lang.String filename,
                                 java.lang.String name,
                                 int firstlineno,
                                 boolean args,
                                 boolean keywords,
                                 PyFunctionTable funcs,
                                 int func_id)

### newJavaCode

    public static PyCode newJavaCode(java.lang.Class cls,
                                     java.lang.String name)

### newJavaFunc

    public static PyObject newJavaFunc(java.lang.Class cls,
                                       java.lang.String name)

### initPython

    public static boolean initPython()

### relFindClass

    public static java.lang.Class relFindClass(java.lang.Class home,
                                               java.lang.String name)

### findClass

    public static java.lang.Class findClass(java.lang.String name)

### findClassEx

    public static java.lang.Class findClassEx(java.lang.String name,
                                              java.lang.String reason)

### initProxy

    public static void initProxy(PyProxy proxy,
                                 java.lang.String module,
                                 java.lang.String pyclass,
                                 java.lang.Object[] args,
                                 java.lang.String[] packages,
                                 java.lang.String[] props,
                                 boolean frozen)

### initProxy

    public static void initProxy(PyProxy proxy,
                                 java.lang.String module,
                                 java.lang.String pyclass,
                                 java.lang.Object[] args,
                                 java.lang.String[] packages,
                                 java.lang.String[] props,
                                 java.lang.String frozenPackage,
                                 java.lang.String[] modules)

### initRunnable

    public static void initRunnable(java.lang.String module,
                                    PyObject dict)

### runMain

    public static void runMain(java.lang.Class mainClass,
                               java.lang.String[] args,
                               java.lang.String[] packages,
                               java.lang.String[] props,
                               java.lang.String frozenPackage,
                               java.lang.String[] modules)
                        throws java.lang.Exception

    `java.lang.Exception`

### printException

    public static void printException(java.lang.Throwable t)

### printException

    public static void printException(java.lang.Throwable t,
                                      PyFrame f)

### printException

    public static void printException(java.lang.Throwable t,
                                      PyFrame f,
                                      PyObject file)

### displayException

    public static void displayException(PyObject type,
                                        PyObject value,
                                        PyObject tb,
                                        PyObject file)

### assert

    public static void assert(PyObject test,
                              PyObject message)

### assert

    public static void assert(PyObject test)

### addTraceback

    public static void addTraceback(java.lang.Throwable t,
                                    PyFrame frame)

### setException

    public static PyException setException(java.lang.Throwable t,
                                           PyFrame frame)

### matchException

    public static boolean matchException(PyException pye,
                                         PyObject e)

### makeException

    public static PyException makeException()

### makeException

    public static PyException makeException(PyObject type)

### makeException

    public static PyException makeException(PyObject type,
                                            PyObject value)

### makeException

    public static PyException makeException(PyObject type,
                                            PyObject value,
                                            PyObject traceback)

### runCode

    public static PyObject runCode(PyCode code,
                                   PyObject locals,
                                   PyObject globals)

### exec

    public static void exec(PyObject o,
                            PyObject globals,
                            PyObject locals)

### getThreadState

    public static final ThreadState getThreadState()

### getThreadState

    public static final ThreadState getThreadState(PySystemState newSystemState)

### setSystemState

    public static final PySystemState setSystemState(PySystemState newSystemState)

### getSystemState

    public static final PySystemState getSystemState()

### getFrame

    public static PyFrame getFrame()

### setFrame

    public static void setFrame(PyFrame f)

### print

    public static void print(PyObject file,
                             PyObject o)

### printComma

    public static void printComma(PyObject file,
                                  PyObject o)

### println

    public static void println(PyObject file,
                               PyObject o)

### printlnv

    public static void printlnv(PyObject file)

### print

    public static void print(PyObject o)

### printComma

    public static void printComma(PyObject o)

### println

    public static void println(PyObject o)

### println

    public static void println()

### py2boolean

    public static boolean py2boolean(PyObject o)

### py2byte

    public static byte py2byte(PyObject o)

### py2short

    public static short py2short(PyObject o)

### py2int

    public static int py2int(PyObject o)

### py2int

    public static int py2int(PyObject o,
                             java.lang.String msg)

### py2long

    public static long py2long(PyObject o)

### py2float

    public static float py2float(PyObject o)

### py2double

    public static double py2double(PyObject o)

### py2char

    public static char py2char(PyObject o)

### py2char

    public static char py2char(PyObject o,
                               java.lang.String msg)

### py2void

    public static void py2void(PyObject o)

### java2py

    public static PyObject java2py(java.lang.Object o)

### makeClass

    public static PyObject makeClass(java.lang.String name,
                                     PyObject[] bases,
                                     PyCode code,
                                     PyObject doc)

### makeClass

    public static PyObject makeClass(java.lang.String name,
                                     PyObject[] bases,
                                     PyCode code,
                                     PyObject doc,
                                     PyObject[] closure_cells)

### makeClass

    public static PyObject makeClass(java.lang.String name,
                                     PyObject[] bases,
                                     PyCode code,
                                     PyObject doc,
                                     java.lang.Class proxyClass)

### makeClass

    public static PyObject makeClass(java.lang.String name,
                                     PyObject[] bases,
                                     PyCode code,
                                     PyObject doc,
                                     java.lang.Class proxyClass,
                                     PyObject[] closure_cells)

### getName

    public static java.lang.String getName()

### getCompilerFlags

    public static CompilerFlags getCompilerFlags()

### compile

    public static PyCode compile(org.python.parser.SimpleNode node,
                                 java.lang.String filename)

### compile

    public static PyCode compile(org.python.parser.SimpleNode node,
                                 java.lang.String name,
                                 java.lang.String filename)

### compile

    public static PyCode compile(org.python.parser.SimpleNode node,
                                 java.lang.String name,
                                 java.lang.String filename,
                                 boolean linenumbers,
                                 boolean printResults)

### compile

    public static PyCode compile(java.io.InputStream istream,
                                 java.lang.String filename,
                                 java.lang.String type)

### compile_flags

    public static PyCode compile_flags(org.python.parser.SimpleNode node,
                                       java.lang.String name,
                                       java.lang.String filename,
                                       boolean linenumbers,
                                       boolean printResults,
                                       CompilerFlags cflags)

### compile_flags

    public static PyCode compile_flags(java.io.InputStream istream,
                                       java.lang.String filename,
                                       java.lang.String type,
                                       CompilerFlags cflags)

### compile_flags

    public static PyCode compile_flags(java.lang.String data,
                                       java.lang.String filename,
                                       java.lang.String type,
                                       CompilerFlags cflags)

### unpackSequence

    public static PyObject[] unpackSequence(PyObject o,
                                            int length)

### id

    public static int id(PyObject o)

### safeRepr

    public static java.lang.String safeRepr(PyObject o)

### printResult

    public static void printResult(PyObject ret)

### maybeWrite

    public static void maybeWrite(java.lang.String type,
                                  java.lang.String msg,
                                  int level)

### writeError

    public static void writeError(java.lang.String type,
                                  java.lang.String msg)

### writeWarning

    public static void writeWarning(java.lang.String type,
                                    java.lang.String msg)

### writeMessage

    public static void writeMessage(java.lang.String type,
                                    java.lang.String msg)

### writeComment

    public static void writeComment(java.lang.String type,
                                    java.lang.String msg)

### writeDebug

    public static void writeDebug(java.lang.String type,
                                  java.lang.String msg)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage